=== debian/control ===
Source: ros-eloquent-sick-scan2
Section: misc
Priority: optional
Maintainer: Michael Lehning <michael.lehning@lehning.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-diagnostic-updater, ros-eloquent-rclcpp, ros-eloquent-sensor-msgs, ros-eloquent-std-msgs, ros-eloquent-ros-workspace
Homepage: http://wiki.ros.org/sick_scan2
Standards-Version: 3.9.2

Package: ros-eloquent-sick-scan2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-eloquent-diagnostic-updater, ros-eloquent-rclcpp, ros-eloquent-sensor-msgs, ros-eloquent-std-msgs, ros-eloquent-ros-workspace
Description: A ROS2 driver for the SICK TiM series of laser scanners.
 This package is based on the sick_scan-Repository.
